Loading...
Searching...
No Matches
BALL::MOLFile::AtomStruct Class Reference

`#include <BALL/FORMAT/MOLFile.h>`

## Public Attributes

Vector3 | position
String | symbol
Index | mass_difference
Index | charge
Index | parity
Size | hydrogen_count
bool | stereo_care_box
Size | valence
bool | H0_designator
Position | reaction_component_type
Position | reaction_component_number
Position | number
Position | inversion_retention
bool | exact_change

## Detailed Description

Definition at line 90 of file MOLFile.h.

## Member Data Documentation

## charge

Index BALL::MOLFile::AtomStruct::charge

Definition at line 96 of file MOLFile.h.

## exact_change

bool BALL::MOLFile::AtomStruct::exact_change

Definition at line 106 of file MOLFile.h.

## H0_designator

bool BALL::MOLFile::AtomStruct::H0_designator

Definition at line 101 of file MOLFile.h.

## hydrogen_count

Size BALL::MOLFile::AtomStruct::hydrogen_count

Definition at line 98 of file MOLFile.h.

## inversion_retention

Position BALL::MOLFile::AtomStruct::inversion_retention

Definition at line 105 of file MOLFile.h.

## mass_difference

Index BALL::MOLFile::AtomStruct::mass_difference

Definition at line 95 of file MOLFile.h.

## number

Position BALL::MOLFile::AtomStruct::number

Definition at line 104 of file MOLFile.h.

## parity

Index BALL::MOLFile::AtomStruct::parity

Definition at line 97 of file MOLFile.h.

## position

Vector3 BALL::MOLFile::AtomStruct::position

Definition at line 93 of file MOLFile.h.

## reaction_component_number

Position BALL::MOLFile::AtomStruct::reaction_component_number

Definition at line 103 of file MOLFile.h.

## reaction_component_type

Position BALL::MOLFile::AtomStruct::reaction_component_type

Definition at line 102 of file MOLFile.h.

## stereo_care_box

bool BALL::MOLFile::AtomStruct::stereo_care_box

Definition at line 99 of file MOLFile.h.

## symbol

String BALL::MOLFile::AtomStruct::symbol

Definition at line 94 of file MOLFile.h.

## valence

Size BALL::MOLFile::AtomStruct::valence

Definition at line 100 of file MOLFile.h.